import { INQUIRY_STATUS } from "@/constants/enums";
import { z } from "zod";
import { createApiResponseSchema } from "./Factory";
const changeInquiryStatusCredentials = z.object({
  description: z.string(),
  reason: z.string(),
  status: z.nativeEnum(INQUIRY_STATUS),
});
const inquiriesSchema = z.object({
  company_name: z.string(),
  created_at: z.number(),
  full_name: z.string(),
  id: z.string(),
  phone_number: z.string(),
  status: z.string(),
  status_history: z.array(
    z.object({
      changed_at: z.number(),
      description: z.string(),
      reason: z.string(),
      status: z.string(),
    }),
  ),
  updated_at: z.number(),
  work_email: z.string(),
});
export const inquiriesListResponse = createApiResponseSchema(
  z.object({ inquiries: z.array(inquiriesSchema) }),
);
export type TChangeInquiryStatusCredentials = z.infer<
  typeof changeInquiryStatusCredentials
>;
export type TInquiries = z.infer<typeof inquiriesSchema>;
export type TInquiriesResponse = z.infer<typeof inquiriesListResponse>;
